CREATE TABLE "iscatalogjobqueue"(
    "catalogid"              INT NOT NULL,
    "dateadded"              DATETIME DEFAULT getdate() NOT NULL,
    "errorcount"             INT,
    "hostname"               VARCHAR(50),
    "iscatalogjobqueueid"    BIGINT NOT NULL IDENTITY PRIMARY KEY,
    "jobstatus"              INTEGER NOT NULL,
    "jobtype"                INTEGER NOT NULL,
    "langcode"               VARCHAR(4),
    "lasterrormsg"           VARCHAR(max),
    "mxname"                 VARCHAR(50),
    "objectname"             VARCHAR(30),
    "parent"                 INT,
    "priority"               INTEGER NOT NULL,
    "proctype"               INTEGER NOT NULL,
    "recordid"               BIGINT,
    "revision"               INT NOT NULL,
    "threadname"             VARCHAR(100),
    "whereclause"            VARCHAR(max)
);

CREATE INDEX "iscatalogjobqueue_ndx1" ON
    "iscatalogjobqueue" (
    "proctype",
    "jobstatus",
    "priority",
    "iscatalogjobqueueid"
);

CREATE INDEX "iscatalogjobqueue_ndx2" ON
    "iscatalogjobqueue" (
    "proctype",
    "jobstatus",
    "iscatalogjobqueueid"
);

CREATE INDEX "iscatalogjobqueue_ndx3" ON
    "iscatalogjobqueue" (
    "catalogid",
    "revision",
    "jobtype",
    "recordid",
    "langcode",
    "jobstatus"
);

CREATE INDEX "iscatalogjobqueue_ndx4" ON
    "iscatalogjobqueue" (
    "hostname",
    "mxname",
    "threadname",
    "jobstatus"
);

CREATE INDEX "iscatalogjobqueue_mssql_ndx1" ON
    "iscatalogjobqueue" (
    "proctype",
    "jobstatus",
    "priority",
    "iscatalogjobqueueid",
    "hostname",
    "mxname",
    "threadname"
);