CREATE TABLE iscatalogjobqueue(
    catalogid              INT NOT NULL,
    dateadded              TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
    errorcount             INT,
    hostname               VARCHAR(50),
    iscatalogjobqueueid    BIGINT NOT NULL AUTO_INCREMENT,
    jobstatus              INTEGER NOT NULL,
    jobtype                INTEGER NOT NULL,
    langcode               VARCHAR(4),
    lasterrormsg           TEXT,
    mxname                 VARCHAR(50),
    objectname             VARCHAR(30),
    parent                 INT,
    priority               INTEGER NOT NULL,
    proctype               INTEGER NOT NULL,
    recordid               BIGINT,
    revision               INT NOT NULL,
    threadname             VARCHAR(100),
    whereclause            TEXT,
    PRIMARY KEY (iscatalogjobqueueid)
);

CREATE INDEX iscatalogjobqueue_ndx1 ON
    iscatalogjobqueue (
    proctype,
    jobstatus,
    priority,
    iscatalogjobqueueid
);

CREATE INDEX iscatalogjobqueue_ndx2 ON
    iscatalogjobqueue (
    proctype,
    jobstatus,
    iscatalogjobqueueid
);

CREATE INDEX iscatalogjobqueue_ndx3 ON
    iscatalogjobqueue (
    catalogid,
    revision,
    jobtype,
    recordid,
    langcode,
    jobstatus
);

CREATE INDEX iscatalogjobqueue_ndx4 ON
    iscatalogjobqueue (
    hostname,
    mxname,
    threadname,
    jobstatus
);