CREATE TABLE isnotifyrefreshqueue (
    active                 INTEGER NOT NULL,
    dateadded              TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
    errorcount             INTEGER,
    host                   VARCHAR(100),
    inerror                INTEGER NOT NULL,
    isuserexpand           INTEGER NOT NULL,
    isuserrefresh          INTEGER NOT NULL,
    lasterrormsg           TEXT,
    locked                 INTEGER NOT NULL,
    node                   VARCHAR(100),
    notifyid               INT,
    notifyrefreshqueuid    SERIAL primary KEY,
    recordid               BIGINT,
    threadname             VARCHAR(100)
);

CREATE INDEX isnotifyrefreshqueue_ndx3 ON
        isnotifyrefreshqueue (
        recordid,
        isuserrefresh
);

CREATE INDEX isnotifyrefreshqueue_ndx5 ON
        isnotifyrefreshqueue (
        active,
        isuserexpand,
        isuserrefresh,
        notifyid,
        recordid,
        host,
        node,
        threadname
);

CREATE INDEX isnotifyrefreshqueue_ndx6 ON
        isnotifyrefreshqueue (
        active,
        host,
        node,
        threadname,
        notifyid,
        recordid
);

CREATE INDEX isnotifyrefreshqueue_ndx8 ON
        isnotifyrefreshqueue (
        notifyid,
        recordid
);
